2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.csproj:
	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs: Track API changes.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Track API changes.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track API
	  changes.-

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Use
	  TextEditorData infrastructure.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/HtmlEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track API
	  changes.

2010-07-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Track API changes.

2010-07-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Changed
	  highlighting.

2010-07-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Track API changes.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Fixed 'Bug
	  621658 - Parameter hints disappear afterkeystroke'.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: Worked
	  on 'Bug 621658 - Parameter hints disappear afterkeystroke'.

2010-07-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Added styles for
	  templated regions in files, e.g. ASP.NET and T4.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Html/HtmlParser.cs:
	* MonoDevelop.AspNet/CodeBehind.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet.Parser/AspNetParser.cs:
	* MonoDevelop.AspNet/AspNetParserService.cs:
	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Track
	  ProjectDomService/Parser API.

	* MonoDevelop.AspNet.addin.xml: Track ProjectDomService/Parser
	  API. Also, treat spark files as html.

2010-07-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspProjectDom.cs: Workaround for gmcs
	  bug.

2010-06-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Fixed 'Bug 611859 -
	  aspx highlighting issues'.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetExecutionHandler.cs: Track api
	  changes.

2010-06-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetFileDescriptionTemplate.cs: Track
	  SingleFileDescription template API.

2010-06-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Fixed 'Bug 611558 -
	  Phantom text in editor after typing </script>'.

2010-06-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Partial
	  support for HTML encoded expressions and script blocks.

2010-06-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.StateEngine/AspNetDom.cs:
	* MonoDevelop.AspNet.StateEngine/AspNetExpressionState.cs: Add
	  support for HTML encoded expressions in the state engine.

	* MonoDevelop.AspNet.StateEngine/HtmlTagState.cs:
	* MonoDevelop.AspNet.StateEngine/HtmlScriptBodyState.cs:
	  Support for HTML script blocks.

	* Makefile.am:
	* MonoDevelop.AspNet.csproj: Added file to project.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: Worked
	  on ASP.NET completion.

2010-05-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.csproj: Don't require a specific M.A
	  version.

2010-05-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs: Moved duplicate field
	  elimination code into re-usable method.

	* MonoDevelop.AspNet.Gui/AspProjectDom.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: Added
	  support for CodeBeside members in embedded completion.

	* MonoDevelop.AspNet.Parser/MemberListVisitor.cs: Collect
	  locations of items.

2010-05-29  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.csproj:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/RegistrationCache.cs:
	* MonoDevelop.AspNet/ProjectRegisteredControls.cs: Change the
	  file info caches so that they don't constantly stat the
	  disk. Instead, they use the project file events to flush
	  items.

2010-05-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/ProjectRegisteredControls.cs: Fix control
	  registration.

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Use
	  directory for config search, not filename.

2010-05-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Get the web.config
	  name from the project. Fixes Bug 610066 - Adding a reference
	  to an ASP.NET MVC project causes Web.config to be renamed
	  "web.config".


2010-05-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/PageInfo.cs: More granular version
	  of the NRE fix.

2010-05-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/PageInfo.cs: Fix an NRE.

2010-05-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs: Cache ProjectDoms.

2010-05-28  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.csproj: Added AspProjectDom to project.

	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs:
	  DocumentInfo now contains the usings, ProjectDoms, script
	  region list, class name, base type.

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Only
	  rebuild the DocumentInfo when we get a new
	  AspNetParsedDocument, not on every keystroke. Track APIs.

	* MonoDevelop.AspNet.Gui/AspProjectDom.cs: Moved from
	  DomWrapper in AspNetCompletion.cs.

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Added
	  APIs for getting the usings and ProjectDoms for the
	  document.

2010-05-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Missed a file in
	  previous commit.

2010-05-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: Pass
	  the full list of usings to the ILanguageCompletionBuilder.

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/ProjectRegisteredControls.cs:
	  Registration cache now tracks imports and assembly
	  registrations.

	* Makefile.am:
	* MonoDevelop.AspNet.csproj: Add Sysytem.Xml.Linq reference.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Html/PathCompletion.cs:
	* MonoDevelop.AspNet/MasterContentFileDescriptionTemplate.cs:
	  Fix incorrect use of ShowCustomDialog/RunCustomDialog.

2010-05-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs:
	* MonoDevelop.AspNet.Parser/MemberListVisitor.cs:
	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Fixed Bug
	  524051 - .as?x.designer.cs code generated by MonoDevelop
	  includes fields already present in the main class.

2010-05-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs:
	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Parser/WebFormReferenceManager.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Move
	  all the WebTypeManager static utility-type methods onto a
	  WebTypeContext class. Reduces arguments and will make it
	  easier to cache stuff.

2010-05-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs: Added method for
	  getting the IType for an HTML control. 

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Added
	  method for looking up IType of arbitrary tag.

2010-05-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProjectBinding.cs: Fix creating
	  ASP.NET single file projects. Fixes Bug 603521 - Command
	  errors opening aspx file.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Deployment/WebDeployService.cs:
	* MonoDevelop.AspNet.Deployment/WebDeployOptionsPanelWidget.cs:
	  Clean up dialog placement.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Make
	  prefix generation and directive insertion APIs more
	  flexible.

	* MonoDevelop.AspNet.Parser/PageInfo.cs: Make it possible to
	  inject directives to an existing info.

	* Makefile.am:
	* MonoDevelop.AspNet.csproj:
	* MonoDevelop.AspNet.Parser/PageDirectiveVisitor.cs: Removed
	  unneeded class.

	* MonoDevelop.AspNet/AspNetToolboxNode.cs: Use new
	  ItextToolboxItem and DocumentReferenceManager APIs to insert
	  new directives into the DOM only when the item is actually
	  inserted into the editor. Fixes Bug 543721 - Auto-added
	  control directives sometimes fail.

2010-05-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/PageInfo.cs:
	* MonoDevelop.AspNet.Parser/AspNetParser.cs:
	* MonoDevelop.AspNet.Parser.Dom/RootNode.cs:
	* MonoDevelop.AspNet.Parser/AspNetParsedDocument.cs: Collect
	  more information from the document for C# completion.

2010-05-18  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.AspNet.csproj:
	* MonoDevelop.AspNet/CodeBehind.cs:
	* MonoDevelop.AspNet.Parser/Document.cs:
	* MonoDevelop.AspNet.Parser/PageInfo.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetSyntaxMode.cs:
	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet.Parser/AspNetParser.cs:
	* MonoDevelop.AspNet.Parser.Dom/RootNode.cs:
	* MonoDevelop.AspNet/AspNetToolboxProvider.cs:
	* MonoDevelop.AspNet.Parser/PageInfoVisitor.cs:
	* MonoDevelop.AspNet.Parser/MemberListVisitor.cs:
	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Parser/AspNetParsedDocument.cs:
	* MonoDevelop.AspNet.Parser/PageDirectiveVisitor.cs:
	* MonoDevelop.AspNet.Parser/WebFormReferenceManager.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs:
	* MonoDevelop.AspNet/MasterContentFileDescriptionTemplate.cs:
	  Heavy refactoring and tidying of ASP.NET parser code to
	  support future changes.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs: Fix Bug
	  602154 - bin/ directory not created when building ASP.Net
	  Web Application template.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Html/PathCompletion.cs:
	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs:
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Track API changes.

2010-05-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetExecutionHandler.cs: Fix checks to
	  allow .NET 4.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Html/PathCompletion.cs:
	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Track API changes.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Worked on
	  ASP.NET highlighting.

2010-04-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Worked on
	  ASP.NET completion.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Worked on
	  ASP.NET completion.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: fixed
	  ASP.NET completion.

2010-04-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: Worked
	  on ASP.NET completion.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AspNet.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.csproj: Remove import off mono.addins
	  targets.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.AspNet.csproj:
	* MonoDevelop.AspNet.addin.xml:
	* MonoDevelop.Html/PathCompletion.cs:
	* MonoDevelop.AspNet/XspParameters.cs:
	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.Html/HtmlSchemaService.cs:
	* MonoDevelop.AspNet.Parser/Document.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet.Parser/Directive.cs:
	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet.Gui/BrowserLauncher.cs:
	* MonoDevelop.AspNet.Gui/XspOptionsPanel.cs:
	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet.Completion/SimpleLists.cs:
	* MonoDevelop.Html/HtmlCompletionDataProvider.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs:
	* MonoDevelop.AspNet.Deployment/WebDeployService.cs:
	* MonoDevelop.AspNet.Deployment/WebDeployCommands.cs:
	* MonoDevelop.AspNet.Gui/AspNetConfigurationPanel.cs:
	* MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs:
	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs:
	* MonoDevelop.AspNet.Deployment/WebDeployLaunchDialog.cs:
	* MonoDevelop.AspNet.Deployment/WebDeployOptionsPanel.cs:
	* MonoDevelop.AspNet/ProjectFolderNodeBuilderExtension.cs:
	* MonoDevelop.AspNet/MasterContentFileDescriptionTemplate.cs:
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/Directive.cs:
	* MonoDevelop.AspNet.Deployment/AspNetDeployServiceExtension.cs:
	  Track ProjectFile Link API.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Html/PathCompletion.cs:
	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Track api changes.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.addin.xml: Added some conditions to avoid
	  early loading of extensions.

	* MonoDevelop.AspNet.Gui/HtmlEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: File
	  extensions are now declared in the node metadata.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.AspNet.Gui.XspOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebTargetEditor.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployTargetEditor.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs:
	* gtk-gui/MonoDevelop.AspNet.Gui.AspNetConfigurationPanelWidget.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget.cs:
	  Flush.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetMSBuildImportProvider.cs: Track api
	  changes.

2010-01-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Html/PathCompletion.cs:
	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Track API changes.

2010-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Implement
	  the new SupportsItem method.

2010-01-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/LineInterceptingTextWriter.cs: fixed
	  possible null ref.

2010-01-07  mkrueger  <${AuthorEmail}>

	* MonoDevelop.AspNet/LineInterceptingTextWriter.cs: Fixed null
	  reference exception.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetExecutionHandler.cs: Use "xsp1" not
	  "xsp", but include a fallback so that it still works without
	  wrapper scripts, as xsp1 is xsp.exe.

2009-12-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.csproj:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/LineInterceptingTextWriter.cs: Move the
	  LineInterceptingTextWriter to another file and make it
	  public. Implement proper support for crlf.

2009-12-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Scan a few more
	  output lines to check whether xsp has started.

2009-12-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet.Gui/BrowserLauncher.cs: Scan xsp output
	  for "Listening on port: " to detect when it's started,
	  instead of polling the server.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Deployment/WebDeployService.cs: Name
	  threads to make debugging easier.

2009-12-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: Worked
	  on ASP.NET code completion.

2009-12-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.csproj:
	* MonoDevelop.AspNet.addin.xml:
	* MonoDevelop.AspNet.Parser.Dom/RootNode.cs:
	* MonoDevelop.AspNet.Parser.Dom/ExpressionNode.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/ILanguageCompletionBuilder.cs: Worked
	  on ASP.NET code completion.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs:
	* MonoDevelop.AspNet.Deployment/WebDeployService.cs:
	* MonoDevelop.AspNet.Deployment/AspNetDeployServiceExtension.cs:
	  Introduced the ConfigurationSelector class to all methods
	  that previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Track API. Set
	  UserAssemblyPaths. Get correct configuration.

	* MonoDevelop.AspNet/AspNetExecutionCommand.cs: Add property
	  for list of user assemblies.

2009-11-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Fix bad
	  flags manipulation. Fixes Bug 556514 - asp.net Autogenerated
	  function are not public.

2009-11-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs: Strip the implicit
	  namespace from the generated compilation unit. Required for
	  VB.

2009-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs:
	  Simplify creation of new ASP.NET MVC configurations.

2009-11-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.csproj: Wire the soft debug addin into
	  the build.

2009-10-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/BrowserLauncher.cs: Fake a
	  IProcessAsyncOperation so that is can be returned from an
	  execution handler.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AspNet.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.AspNet.Gui.XspOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebTargetEditor.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployTargetEditor.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs:
	* gtk-gui/MonoDevelop.AspNet.Gui.AspNetConfigurationPanelWidget.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget.cs:
	  Flush.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track
	  namespace renamings.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.AspNet.csproj: Mark *-sharp references,
	with SpecificVersion=false. Import md.targets .

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AspNet.addin.xml: Bump MD version.

2009-10-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.csproj: Update.

	* MonoDevelop.Html/PathCompletion.cs: Creates completion lists
	  for picking file paths.

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs: Tweak API
	  so classes can return completion lists instead of modifying
	  one they're given.

	* MonoDevelop.AspNet.Parser/Directive.cs: Complete paths for
	  register src and for masterpagefile. Finally fix the
	  register directive attribute completion too.

2009-10-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet/ProjectRegisteredControls.cs:
	* MonoDevelop.AspNet.Parser/WebFormReferenceManager.cs: Use
	  ordinal string compares where appropriate.

2009-10-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Take
	  tag name into account when resolving type from control
	  registration directives. Only compare prefix once per
	  directive, and use case-insensitive ordinal comparisons.
	  Fixes bug #543727.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs: Resolve user
	  controls from referenced projects. Fixes "Bug 519651 -
	  Custom Controls cannot be registered in ASP.NET pages".

2009-09-30  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs:
	  Enable horizontal scroll so the dialog doesn't get
	  oversized.

2009-09-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Tidy up a
	  few things, and fix some FIXMEs.

2009-09-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs: Add a cache for
	  codebehind type names.

	* MonoDevelop.AspNet/ProjectRegisteredControls.cs: Factor out
	  FileInfoCache from the control registration cache, so we can
	  use it for a type name cache.

	* MonoDevelop.AspNet/WebTypeManager.cs: Type UserControls with
	  the type of this CodeBehind, if it can be looked up.

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Fix a
	  couple of small bugs in UserControl type lookups.

2009-09-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Found a better way
	  of removing the encoding declaration from the header.

2009-09-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Omit the xml
	  declaration when saving the .config file, because it is
	  declaring the utf-16 encoding, which wrong when saving the
	  content to a utf-8 file. Fixes bug #537846 - Editing
	  .aspx-files throws 'Error in text editor extension
	  chain'-exception.

2009-09-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet\AspNetExecutionHandler.cs: Set DEVPATH to
	  the path of xsp. Required on Windows, so that .NET can find
	  Mono.Web.

	* MonoDevelop.AspNet\AspNetAppProject.cs: Moved the XSP check
	  to the execution handler.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Track API changes.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.csproj: Don't require a specific version
	  for Mono.Addins.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetExecutionCommand.cs:
	* MonoDevelop.AspNet/AspNetExecutionHandler.cs: Run xsp on the
	  correct target runtime. Support using a bundled xsp if it
	  doesn't exist in the target runtime.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.csproj:
	* MonoDevelop.AspNet.addin.xml:
	* MonoDevelop.AspNet/AspNetMSBuildImportProvider.cs: Use the
	  new extension point for generating msbuild imports.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetToolboxLoader.cs:
	* MonoDevelop.AspNet/AspNetToolboxProvider.cs: Use the new
	  AssemblyContext class to query and resolve assemblies.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.csproj: Include the ASP.NET MVC and
	  TextTemplating addins in the main solution and build.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* AspNetAddIn.csproj: Don't local-copy project references.

2009-08-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs:
	  Override and implement CopyFrom. Should allow the config
	  editing panel to store values.

2009-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* AspNetAddIn.csproj: Don't local copy assemblies.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.AspNet.Gui.AspNetConfigurationPanelWidget.cs:
	  Flush.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployTargetEditor.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs:
	  Flush.

2009-07-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetConfigurationPanel.cs:
	* MonoDevelop.AspNet.Gui/AspNetConfigurationPanelWidget.cs:
	  Remove unnecessary field.

2009-07-28  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* AspNetAddIn.csproj:
	* MonoDevelop.AspNet.Gui/AspNetFileSelector.cs:
	* gtk-gui/MonoDevelop.AspNet.Gui.AspNetFileSelector.cs:
	* MonoDevelop.AspNet/MasterContentFileDescriptionTemplate.cs:
	  Move AspNetFileSelector to
	  MonoDevelop.Project.Gui.Dialogs.ProjectFileSelectorDialog.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetAppProjectBinding.cs: Track api
	  changes. Patch by Viktoria Dudka.

2009-07-17  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* AspNetAddIn.csproj: Fixed build.

2009-07-16  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* AspNetAddIn.csproj:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Started to
	  work on ASP.NET code completion.

2009-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Worked on
	  highlighting support for code blocks.

2009-07-14  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* AspNetAddIn.csproj:
	* MonoDevelop.AspNet.addin.xml:
	* MonoDevelop.AspNet/AspNetSyntaxMode.cs: Added ASP.NET C#
	  region syntax highlighting.

2009-07-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Properly map the
	  configuration name to a configuration.

2009-07-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/WebForm-Empty.xft.xml:
	* Templates/WebApplication.xpt.xml:
	* Templates/MasterPage-Empty.xft.xml:
	* Templates/WebForm-CodeBehind.xft.xml:
	* Templates/MasterPage-CodeBehind.xft.xml:
	* Templates/WebForm-CodeBehindNonPartial.xft.xml:
	* Templates/MasterPage-CodeBehindNonPartial.xft.xml: Make head
	  tag into server tag so that theming works. Patch from
	  Alfredo De Vito.

2009-07-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs: Move CodeBehindWriter from
	  MonoDevelop.AspNet to MonoDevelop.DesignerSupport.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet.Gui/BrowserLauncher.cs:
	* MonoDevelop.AspNet.Gui/AspNetFileSelector.cs: Use the new
	  DesktopService instead of PlatformService.

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs: Track assembly lookup
	  APIs. Fix bad logic that could cause NRE.

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetToolboxLoader.cs:
	* MonoDevelop.AspNet/AspNetToolboxProvider.cs: Track assembly
	  lookup APIs.

2009-05-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetFileDescriptionTemplate.cs:
	* MonoDevelop.AspNet/MasterContentFileDescriptionTemplate.cs:
	  Track api changes.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet\CodeBehind.cs:
	* MonoDevelop.AspNet\AspNetAppProject.cs:
	* MonoDevelop.AspNet.Gui\AspNetFileSelector.cs:
	* MonoDevelop.AspNet\ProjectFolderNodeBuilderExtension.cs: Use
	  the new FilePath class for handling file and directory
	  paths.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetExecutionCommand.cs: Added
	  TargetRuntime parameter to AspNetExecutionComand.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet/AspNetFileDescriptionTemplate.cs: Track
	  API changes.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs: Notify fileservice when a
	  file that isn't open has been changed. Fixes "Bug 496278 -
	  C# completion doesn't update when designer codebehind is
	  updated".

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/WebContentForm-CodeBehind.xft.xml: Fix the
	  DependsOn value. Thanks to Dax@daxxfiles.net for the patch.

2009-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* AspNetAddIn.csproj:
	* MonoDevelop.AspNet.addin.xml:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetExecutionHandler.cs:
	* MonoDevelop.AspNet/AspNetExecutionCommand.cs: Use an
	  IExecutionHandler and an ExecutionCommand to handle the
	  execution of asp.net projects. This will allow supporting
	  special execution modes such as debug or profile.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetFileSelector.cs: Renamed
	  PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetFileSelector.cs: Track API
	  changes.


2009-04-17  Mike Kestner  <mkestner@novell.com>

	* AspNetAddin.csproj: don't require specific gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetFileSelector.cs: Removed icon
	  service.

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Moved
	  SystemAssemblyService and related classes to the namespace
	  MonoDevelop.Core.Assemblies.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AspNet.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet/AspNetToolboxLoader.cs:
	* MonoDevelop.AspNet/AspNetToolboxProvider.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Track
	  api changes to support multiple target runtimes.

2009-04-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/MasterContentFileDescriptionTemplate.cs:
	  Add a using.

2009-03-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Fix output directory
	  for newly created projects, since DotNetProject changes it
	  during project creation.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Html/HtmlParser.cs:
	* MonoDevelop.AspNet.Parser/AspNetParser.cs:
	* MonoDevelop.AspNet/MasterContentFileDescriptionTemplate.cs:
	  Track API changes.

2009-03-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Migrate bad output
	  directories from MD1 format. Set proper output directory for
	  new configurations.

	* MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs: Remove
	  output directory hacks.

2009-03-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebTargetEditor.cs:
	  Making some strings not translatable.

2009-03-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs: Work around text editor
	  bug (#484574) that caused modifications to open files not to
	  be saved. Only try to save files that we've modified.

	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Force type
	  database to update during build. Fixes "Bug 484122 -
	  [Regression] Default C# Asp.Net template fails to compile".
	  Remove dead code.

2009-03-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetFileSelector.cs: Show
	  directories that contain project files, even if the
	  directories aren't explicitly in the project. Don't
	  duplicate directories that have children that are explictly
	  in the project.

2009-03-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Don't crash
	  on documents without doctypes. Better root element
	  completion for web controls and master children.

2009-03-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs: Track
	  doctype parsing changes. Fix jumping to selections.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Changed the way
	  execution handlers work. We are not using platform ids
	  anymore. Instead, we use command strings when looking for
	  execution handlers. IExecutionHandlerFactory has been
	  removed and now everything is handled by IExecutionHandler,
	  which has a new CanExecute method. This model is more simple
	  and more generic.

2009-02-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/ProjectFolderNodeBuilderExtension.cs:
	  Save the project after adding a special folder.

2009-02-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/ProjectFolderNodeBuilderExtension.cs:
	  More efficient query for existing folders. Attach node
	  builder to more limited range of node types. Show special
	  folders even if they exist in the project, or users might
	  get confused when the menu vanishes.

	* MonoDevelop.AspNet/AspNetAppProject.cs: Slim down the list
	  of special folders to ones for web apps rather than sites.
	  Make virtual.

	* MonoDevelop.AspNet.addin.xml: Remove unused attribute.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs:
	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Move
	  codebehind generation code from VerifyCodeBehindBuildStep to
	  CodeBehind and refactor it into something more re-usable.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Fix swapped
	  parameters in ResolveVirtualPath.

	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Generate
	  strongly typed master accessor property if the MasterType
	  directive is present.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/PageInfo.cs: More properties in
	  ToString.

	* MonoDevelop.AspNet.Parser/PageInfoVisitor.cs: Ignore case of
	  MasterType directive.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/WebContentForm.xft.xml:
	* Templates/NestedMasterPage.xft.xml:
	* Templates/WebContentForm-CodeBehind.xft.xml:
	* Templates/NestedMasterPage-CodeBehind.xft.xml: Fix
	  MasterPageFile attribute name.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/Directive.cs: Add completion for
	  MasterType directive.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetFileSelector.cs: Diplay project
	  tree and its icons correctly.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/MasterContentFileDescriptionTemplate.cs:
	  Add new template type that allows user to pick a master page
	  and stubs out content regions.

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* AspNetAddIn.csproj:
	* MonoDevelop.AspNet.addin.xml: Updated.

	* Templates/MasterPage-Empty.xft.xml:
	* Templates/MasterPage-CodeBehind.xft.xml:
	* Templates/MasterPage-CodeBehindNonPartial.xft.xml: Correct
	  names.

	* Templates/WebContentForm.xft.xml:
	* Templates/NestedMasterPage.xft.xml:
	* Templates/WebContentForm-CodeBehind.xft.xml:
	* Templates/NestedMasterPage-CodeBehind.xft.xml: New
	  templates.

	* MonoDevelop.AspNet.Gui/AspNetFileSelector.cs:
	* gtk-gui/MonoDevelop.AspNet.Gui.AspNetFileSelector.cs: Added
	  a UI for picking a master page.

	* MonoDevelop.AspNet.Parser/ContentPlaceHolderVisitor.cs: A
	  visitor for finding the contentplaceholder ids of a master
	  page.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Add methods for
	  handling virtual paths.

	* MonoDevelop.AspNet.Parser/PageInfo.cs:
	* MonoDevelop.AspNet.Parser/PageInfoVisitor.cs: Capture
	  MasterPageType info.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.addin.xml: Track merge of the project pad
	  context menu.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetFileDescriptionTemplate.cs: Track
	  API.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Add an attempt at
	  resolving assemblies from bin.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Track
	  assembly database API behaviour. Improve assembly resolution
	  error handling. Fixes "Bug 477476 - Template for ASP.Net Web
	  Application doesn't work by default." and restores ASP.NET
	  code completion and codebehind generation.

2009-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/HtmlEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track API.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* AspNetAddIn.csproj: Copy schemas to output directory.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Remove
	  unnecessary "base" instance access, as csc doesn't like it.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* AspNetAddIn.mdp:
	* AspNetAddIn.csproj: Migrated to MSBuild file format.

2009-02-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track
	  BindingService API.

2009-02-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Allow
	  forced completion for fields/properties in expressions.

	* MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs: Add
	  rollback so that expressions can be differentiated. Fixes
	  field/property completion in expressions.

2009-02-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Track BindingService API. Fixes event completion bugs.

2009-02-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/ProjectRegisteredControls.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs:
	  Implement full type lookup and listing mechanisms for
	  controls registered in web.config. Enables full code
	  completion for these controls. Fixes "Bug 470488 - Controls
	  registered in web.config do not have code completion".

2009-02-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Add a
	  ControlRegistrationCache to the project to cache web.config
	  control registrations.

	* MonoDevelop.AspNet/ProjectRegisteredControls.cs: Use a
	  custom class for encapsulating registration info instead of
	  TagPrefixInfo, so we can attach extra data.

	* MonoDevelop.AspNet/WebTypeManager.cs: Use project's
	  ControlRegistrationCache for type lookups.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AspNet.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.AspNet.Gui.XspOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebTargetEditor.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployTargetEditor.cs:
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs:
	* gtk-gui/MonoDevelop.AspNet.Gui.AspNetConfigurationPanelWidget.cs:
	*
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget.cs:
	  Flush.

2009-01-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetFileDescriptionTemplate.cs: Propagate a
	policy parent SolutionItem through project/file creation so that
	policies can always be resolved correctly.

2009-01-29  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AspNetAddIn.mdp:
	* MonoDevelop.AspNet/ProjectRegisteredControls.cs: Add a class to load
	and cache control registrations from web.config files. It's intended
	to be bound to the AspNetAppProject, for documents to look to for
	completion and resolving types.

2009-01-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs: Don't pass a null 
	TargetFramework to SystemAssemblySevice, or it explodes. Propagate 
	project info to the web.config handler so that it can resolve 
	assemblies with the correct TargetFramework.

2009-01-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: If the 
	special-casing of the asp prefix to System.Web.dll fails to resolve 
	the type, do a full lookup. Fixes the asp prefix with other controls, 
	as is common with e.g. System.Web.Extensions.

2009-01-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/MemberListVisitor.cs: Log type resolution 
	errors to the document's error list.

	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Make sure the 
	member list is initialised before outputting errors, so that type 
	resolution errors show up in the error pad. Treat them as warnings 
	until we can be 100% sure that they're not mistakes on MD's part.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Execute xsp in the project's
	BaseDirectory, not the SourceDirectory, since the bin directory is
	already assumed to be in BaseDirectory, and SourceDirectory seems to
	be obsolete. Fixes running ASP.NET csproj projects in certain
	circumstances.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs: Remove closing tag
	completion as the base class handles it now.

2009-01-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetAppProjectBinding.cs:
	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs:
	* MonoDevelop.AspNet.Parser/AspNetParsedDocument.cs:
	* MonoDevelop.AspNet.MD1Serialization/MD1AspNetCustomDataItem.cs: Track
	DetermineWebSubtype API.

	* Templates/WebForm-Empty.xft.xml:
	* Templates/WebApplication.xpt.xml:
	* Templates/WebControl-Empty.xft.xml:
	* Templates/WebHandler-Empty.xft.xml:
	* Templates/GlobalAsax-Empty.xft.xml:
	* Templates/WebService-Empty.xft.xml:
	* Templates/MasterPage-Empty.xft.xml:
	* Templates/WebConfig-SubDir.xft.xml:
	* Templates/WebForm-CodeBehind.xft.xml:
	* Templates/WebConfig-Application.xft.xml:
	* Templates/MasterPage-CodeBehind.xft.xml:
	* Templates/WebHandler-CodeBehind.xft.xml:
	* Templates/WebService-CodeBehind.xft.xml:
	* Templates/GlobalAsax-CodeBehind.xft.xml:
	* Templates/WebControl-CodeBehind.xft.xml:
	* Templates/WebForm-CodeBehindNonPartial.xft.xml:
	* Templates/MasterPage-CodeBehindNonPartial.xft.xml:
	* Templates/WebControl-CodeBehindNonPartial.xft.xml: Don't explicitly
	set a build action, since it was wrong for MSBuild files, and the
	default works fine.

2009-01-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Deployment/AspNetDeployServiceExtension.cs: Deploy
	all files marked as "Content" rather than all ASP.NET files.

2009-01-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Add JavaScript to WebSubType.

2009-01-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Add css, xhtml, html, htm to
	the WebSubTypes enum. This means that their default build action is
	"Content", so they get deployed by default. Should fix "Bug 466855 -
	CSS files in App_Themes/theme_name/ are not deployed".

2009-01-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Don't try to update web.config
	when references are removed during project loading. Fixes "Bug 465852
	- MonoDevelop 2.0 (trunk) does not load ASP.NET projects from 1.0."

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* AspNetAddIn.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet/AspNetToolboxNode.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Track API
	changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* AspNetAddIn.mdp: Don't require a specific version of Mono.Addins.

2008-12-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Ignore
	PersistChildrenAttribute, as it does more harm than good. It's
	essentially the opposite of ParseChildrenAttribute, but it's often
	incorrectly set, whereas ParseChildrenAttribute is almost invariably
	correct. Also, assume that any property tagged with a
	TemplateContainerAttribute has an InnerProperty persistence mode.

2008-12-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Add TODO markers for
	ParseChildrenAttribute.ChildControlType support.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Implemented CanExecute.

	* MonoDevelop.AspNet.Gui/BrowserLauncher.cs: Track api changes.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.addin.xml: Set correct packing for Web deployment
	panel.

2008-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.addin.xml: Move options panels to more appropriate
	categories.

	* gtk-gui/gui.stetic: Flush.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AspNetAddIn.mdp:
	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Use
	DocumentationService to look up class documentation lazily.

2008-11-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: If project's CompileTarget
	isn't "Library", automatically fix it, since older versions of MD did
	not set it correctly.

2008-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Html/HtmlParser.cs: Implement multiple root element
	validation since parser no longer handles this.

2008-11-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Improve accuracy of
	completions for controls' children. Add support for completing
	properties' childen.

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Extend lookup
	methods to be able to look for types other than Control.

2008-11-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.StateEngine/HtmlTagState.cs: Improve error location
	precision for implicitly self-closing tags.

2008-11-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Improve element
	completion.

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Make
	AspTagCompletionData public.

	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs: Expose methods to
	subclass.

2008-11-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Use ASP.NET
	serialisation attributes to improve completion. Display properties as
	children when appropriate; don't display properties as attributes or
	controls as children when inappropriate.

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Add a shortcut
	for HTML controls.

2008-11-17  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/WebApplication.xpt.xml: Fix case of asp:button.

	* MonoDevelop.AspNet/WebTypeManager.cs: Make sure all type name lookups
	are case insensitive (seems that MonoDevelop's defaults changed).
	Fixes Bug 445850 - [Regression] The C# Asp Web application template
	fails to compile .

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Trivial 1.1 to
	2.0 API update.

2008-11-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.StateEngine/HtmlTagState.cs:
	* MonoDevelop.AspNet.StateEngine/HtmlClosingTagState.cs: Implement new
	parser states that handle implicit tag closing for HTML.

	* Makefile.am:
	* AspNetAddIn.mdp: Updated.

	* MonoDevelop.Html/HtmlParser.cs:
	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs:
	* MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs: Use the new HTML
	parsing states.

	* MonoDevelop.Html/ElementTypes.cs: Lookups to determine if an HTML tags
	is block/inline/empty/paragraph.

2008-11-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs: Flag schema for
	update when doctype changes.

2008-11-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs: Use project to resolve target
	.NET version for assemblies.

	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Resolve types
	of items from register directives. Lazy-load descriptions.

2008-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/WebTypeManager.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Include
	controls referenced by Register directives when listing tags.

2008-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.addin.xml: Specify position for build step.

	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Enable designer class
	updating for UserControls and MasterPages.

2008-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs: Split out the HTML
	editor extension. Add document outlining.

	* Makefile.am:
	* AspNetAddIn.mdp: Updated.

	* MonoDevelop.AspNet.addin.xml:
	* MonoDevelop.Html/HtmlParser.cs: Added an HTML parser.

	* MonoDevelop.AspNet.Gui/HtmlEditorExtension.cs: Split out the HTML
	editor extension. Add document outlining. Mostly extracted from
	Moonlight addin.

2008-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AspNetAddIn.mdp:
	* MonoDevelop.AspNet.Gui/HtmlTextEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/BaseHtmlEditorExtension.cs: Renamed file.

2008-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/HtmlTextEditorExtension.cs: Move re-usable HTML
	editing into base class in preparation for other changes.

2008-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/HtmlTextEditorExtension.cs: Tidy up
	doctype->schema resolution code, and only try to resolve doctype when
	it changes. Use case-insensitive completion.

2008-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track fix in text
	editor's completion line/col indexing. It's now 1-indexed, as it
	should be. Fix attribute value type resolution fallback.

	* MonoDevelop.AspNet.Parser/Document.cs: Comment out some noisy debug
	code.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Use new API; move default
	build action code into GetDefaultBuildAction override.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.addin.xml: Bump MD version.

2008-11-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Override new
	IsLibraryBasedProjectType property, consolidating code in base class.

2008-11-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Set CompileTarget to library
	on base class, not just overriding the values on the property. Fixes
	Bug 436275 - MD ASP.Net project does not build in VS2005.

2008-11-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Track MD core API to re-enable
	running of ASP.NET projects.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AspNet.addin.xml: fixed 'Bug 399737 - Code completion
	busted for referenced assemblies that are not in GAC, are outside of
	the solution, and which are referenced by other non-GAC outside
	referenced assemblies'.

2008-10-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Fix directive name
	completion triggering.

2008-10-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.StateEngine/AspNetDom.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.StateEngine/AspNetDirectiveState.cs:
	* MonoDevelop.AspNet.StateEngine/AspNetExpressionState.cs:
	* MonoDevelop.AspNet.StateEngine/AspNetServerCommentState.cs: Changed
	Xml StateEngine from offset-based positions to line/column positions.

2008-10-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/AspNetAppProject.cs: Better default build action
	for auto-added codebehind files.

2008-10-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet/CodeBehind.cs:
	* MonoDevelop.AspNet/AspNetAppProject.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Moved
	codebehind/designer lookup functionality to
	MonoDevelop.DesignerSupport.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Add simple
	field/property completions in render and databinding expressions.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Finally fix event
	handler completion with the new MD Code DOM.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AspNetAddIn.mdp: Updated.

	* MonoDevelop.AspNet.addin.xml: Enable HtmlEditorExtension for HTML
	completion.

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Gui/HtmlTextEditorExtension.cs: Refactor HTML
	completion from AspNetEditorExtension into an HtmlEditorExtension
	base class.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Completion/SimpleLists.cs: Remove unused methods.

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Move code to base
	class. Implement more directive completions.

	* MonoDevelop.AspNet.Parser/Directive.cs: Change API to alter lists
	instead of creating them.

2008-10-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Move more into the
	base class. Implement directive name completion.

	* MonoDevelop.AspNet.Parser/Directive.cs: Remove unused parameters.

2008-10-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser.Internal/AspParser.cs: Improve error
	reporting.

2008-10-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track API. Work
	around some bugs in directive completion until they're fixed
	properly.

	* Makefile.am:
	* AspNetAddIn.mdp: Updated.

	* MonoDevelop.AspNet.Completion/SimpleLists.cs: Add utility methods for
	simple completion lists with default values.

	* MonoDevelop.AspNet.Parser/Directive.cs: Add attribute completion for
	all directives. Some work towards completing directive names and
	values.

	* MonoDevelop.AspNet.Parser/AspNetParsedDocument.cs: Add a WebSubType
	property.

2008-10-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/Directive.cs: Add more attributes.

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Remove code that's
	moved to base class.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/Directive.cs:
	* MonoDevelop.Html/HtmlCompletionDataProvider.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.Html/DocTypeCompletionDataProvider.cs: Track APIs.

	* Makefile.am:
	* AspNetAddIn.mdp: Updated.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs:
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs: Track
	CompletionData API.

2008-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Parser/Directive.cs: Track API.

	* Makefile.am:
	* AspNetAddIn.mdp: Updated.

	* MonoDevelop.AspNet.Parser/SimpleCompletionData.cs: Moved to
	MonoDevelop.Projects.Gui.

	* MonoDevelop.AspNet.Parser/AspNetCompilationUnit.cs: Not needed;
	deleted.

2008-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Html/DocTypeCompletionData.cs:
	* MonoDevelop.AspNet.Parser/SimpleCompletionData.cs:
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs: Track
	  API.

2008-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Moved lots of code
	  down to the BaseXmlEditorExtension.
	* AspNetAddIn.mdp, Makefile.am: Updated.
	* MonoDevelop.AspNet.Parser/AspNetParsedDocument.cs: Renamed. Add
	  NonSerializable flag.

2008-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs,
	  MonoDevelop.AspNet.Parser/SimpleCompletionData.cs,
	  MonoDevelop.AspNet.Parser/Directive.cs: Enable some simple
	  completion for directive attributes.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: Track API.
	* MonoDevelop.AspNet.addin.xml, MonoDevelop.AspNet.MD1Serialization,
	  MonoDevelop.AspNet.MD1Serialization/MD1AspNetCustomDataItem.cs,
	  MonoDevelop.AspNet.MD1Serialization/md1format.xml,
	  MonoDevelop.AspNet.Deployment/WebDeployService.cs,
	  MonoDevelop.AspNet.Deployment/WebDeployResolver.cs,
	  MonoDevelop.AspNet.Deployment/AspNetDeployServiceExtension.cs,
	  AspNetAddIn.mdp, Makefile.am: Integrate deployment with the
	  deployment service chnages; makes it much cleaner. Track "arbitrary
	  build action" API changes; this improves compatibility with VS Web
	  Apps.

2008-09-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Html/DocTypeCompletionData.cs,
	  MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs,
	  MonoDevelop.AspNet.Parser/SimpleCompletionData.cs: Implemented
	  IComparable <ICompletionData>.

2008-09-26  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs,
	  MonoDevelop.AspNet.Parser/AspNetCompilationUnit.cs,
	  MonoDevelop.AspNet.Parser/AspNetParser.cs,
	  MonoDevelop.AspNet.Parser/CompilationUnitVisitor.cs,
	  MonoDevelop.AspNet/AspNetParserService.cs,
	  MonoDevelop.AspNet/AspNetToolboxNode.cs,
	  MonoDevelop.AspNet/CodeBehind.cs,
	  MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Track API.

2008-09-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser/CompilationUnitVisitor.cs: Track API.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Html/HtmlCompletionDataProvider.cs,
	  MonoDevelop.Html/DocTypeCompletionDataProvider.cs,
	  MonoDevelop.AspNet.Parser/SimpleCompletionData.cs: Track api
	  changes.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.AspNet.Gui.XspOptionsPanelWidget.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployTargetEditor.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget.cs,
	  gtk-gui/MonoDevelop.AspNet.Gui.AspNetConfigurationPanelWidget.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebTargetEditor.cs: Updated
	  generated code.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs,
	  MonoDevelop.AspNet/AspNetToolboxNode.cs,
	  MonoDevelop.AspNet/WebTypeManager.cs: Track api changes.

2008-09-10  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am, AspNetAddIn.mdp: Updated.
	* MonoDevelop.AspNet.Parser/SimpleCompletionData.cs: Utility completion
	  data classes -- in C#3!
	* MonoDevelop.AspNet.Parser/Directive.cs: Work-in-progress on directive
	  completion.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AspNet/CodeBehind.cs,
	  MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs,
	  MonoDevelop.AspNet/AspNetParserService.cs,
	  MonoDevelop.AspNet/AspNetToolboxNode.cs,
	  MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs,
	  MonoDevelop.AspNet.Parser/CompilationUnitVisitor.cs,
	  MonoDevelop.AspNet.Parser/AspNetParser.cs: Changed compilation
	  unit/document meta information interface.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet/ProjectFolderNodeBuilderExtension.cs: Moved the
	  extensible tree view to its own directory.

2008-09-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AspNet/AspNetToolboxNode.cs, AspNetAddIn.mdp: Changes
	  caused by parser service change.

2008-08-22  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Fix attribute value
	  completion.

2008-08-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs: Replace C#3
	  automatic properties into C# 2 properties. Fixes build on Mono <
	  1.9. Thanks to Joshua Simmons for the patch.

2008-08-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser.Internal/AspTokenizer.cs,
	  MonoDevelop.AspNet.Parser.Internal/Directive.cs,
	  MonoDevelop.AspNet.Parser.Internal/AspParser.cs,
	  MonoDevelop.AspNet.Parser.Internal/Location.cs,
	  MonoDevelop.AspNet.Parser.Internal/ParseException.cs,
	  MonoDevelop.AspNet.Parser.Dom/ILocation.cs: Update from mcs SVN
	  HEAD. Fixes "Bug 409109 - The ASP.NET Editor crashes if you leave a
	  tag opened".

2008-08-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: Use Loading property instead
	  of filename nullness hack.
	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Simplify code
	  generation appraoch for partial classes: if the file.aspx (etc)
	  file is newer than the corresponding file.aspx.designer.* file,
	  regenerate the designer class entirely. This means that we no
	  longer require refactoring support, so the feature now works with
	  Boo and VB.NET.
	
	  
	
	  Also remove support for adding members to non-partial CodeBehind
	  classes. 
	* MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs,
	  MonoDevelop.AspNet.Gui/AspNetConfigurationPanelWidget.cs,
	  gtk-gui/MonoDevelop.AspNet.Gui.AspNetConfigurationPanelWidget.cs,
	  gtk-gui/gui.stetic: Remove option for autogenerating members in
	  non-partial CodeBehind classes. Add an option for disabling
	  Codebehind updating altogether.

2008-08-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Add null check.

2008-08-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetExpressionState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetAttributeValueState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetSpeculativeExpressionState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetServerCommentState.cs:
	  Implement attribute value expressions.
	* AspNetAddIn.mdp, Makefile.am: Updated.

2008-07-31  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Show all kinds of
	  nodes in the path bar, and allow selecting them.
	* MonoDevelop.AspNet.StateEngine/AspNetDirectiveState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetExpressionState.cs: Fix start
	  offsets.
	* MonoDevelop.AspNet.StateEngine/AspNetDom.cs: Add friendly
	  representations.
	* MonoDevelop.AspNet.StateEngine/AspNetSpeculativeExpressionState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs: Implement
	  speculatives states. Works for expressions and server comments
	  within tags, though not within attributes.

2008-07-31  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/WebTypeManager.cs,
	  MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Clean up
	  System.Web lookup code.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Fix the System.Web
	  fallbacks using new DOM. Respect project's runtime version.

2008-07-31  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Add comment and
	  CDATA completion. Only trigger tag completion in the free state.
	* MonoDevelop.AspNet/WebTypeManager.cs: Simplify lookups using new
	  DOM's methods. They're still broken due to the DOM database
	  returning bad values.

2008-07-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/WebTypeManager.cs,
	  MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: More porting to
	  new DOM.
	* MonoDevelop.AspNet.StateEngine/AspNetSpeculativeExpressionState.cs: A
	  "speculative state" to replace the MalformedTagState. Can create a
	  server comment, or
	* MonoDevelop.AspNet.StateEngine/AspNetServerCommentState.cs: Tidying
	  up.
	* AspNetAddIn.mdp, Makefile.am: Updated.

2008-07-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetExpressionState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetServerCommentState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetDirectiveState.cs: API change
	  to allow more that one character of rollback.

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Filter out
	  attributes that are already in the tag.

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetExpressionState.cs: Complete the
	  handling of expressions (in free state).

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetServerCommentState.cs: Implement
	  server comments handling (in the free state).

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetDirectiveState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetDom.cs: Complete the handling
	  of directives. Server comments and expressions are still broken.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Continue port to new
	  DOM. Enable AspNetFreeState parser instead of XML one.
	* MonoDevelop.AspNet.Parser/AspNetParser.cs: Remove debug code.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs,
	  MonoDevelop.AspNet/AspNetParserService.cs,
	  MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Translated old
	  code to new dom.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AspNet/CodeBehind.cs,
	  MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs,
	  MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Changes for converted refactoring infrastructure.

2008-07-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetToolboxNode.cs,
	  MonoDevelop.AspNet/WebTypeManager.cs,
	  MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs,
	  MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Partial port
	  to new DOM. A *few* features are working again, but it's not nearly
	  done. Need to be able to get assembly parse contexts to make
	  progress.

2008-07-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Fix document outline
	  view with new parser infrastructure.

2008-07-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs,
	  MonoDevelop.AspNet/AspNetLanguageBinding.cs,
	  MonoDevelop.AspNet.addin.xml,
	  MonoDevelop.AspNet.Parser/AspNetCompilationUnit.cs,
	  MonoDevelop.AspNet.Parser/CompilationUnitVisitor.cs,
	  MonoDevelop.AspNet.Parser/AspNetExpressionFinder.cs,
	  MonoDevelop.AspNet.Parser/AspNetParser.cs,
	  MonoDevelop.AspNet.Parser/LocatedParserException.cs: Port to new
	  parser infrastructure so the ASP.NET pages get parsed.
	* MonoDevelop.AspNet.StateEngine/AspNetExpressionState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetServerCommentState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetDom.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetDirectiveState.cs: More
	  in-progress work on ASP.NET extensions to the XML parser.
	* AspNetAddIn.mdp, Makefile.am: Updated.

2008-07-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetExpressionState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetAttributeValueState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetDom.cs: Commit initial work on
	  ASP.NET parser extensions.
	* Makefile.am, AspNetAddIn.mdp: Updated.

2008-07-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Put path bar update
	  on a timeout so that it doesn't make selection too laggy.

2008-07-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Improve triggering
	  of attribute value completion.

2008-07-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: For
	  System.Drawing.Color names colours autocompletion entries, use a
	  block of the colour as the icon. Don't show system colours.

2008-07-23  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Implemented node
	  selection with the path bar using the new parser. Much more
	  reliable, but still breaks on selecting the node the caret's in.
	* gtk-gui/objects.xml, AspNetAddIn.mdp, Makefile.am: Removed
	  objects.xml.

2008-07-23  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetSpecialState.cs: Unneeded;
	  removed.
	* MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs: Stubbed.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Use the new XML
	  parser for ASP.NET completion.
	* gtk-gui/objects.xml, gtk-gui/gui.stetic, AspNetAddIn.mdp,
	  Makefile.am: Updated.
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Fix tag prefix
	  auto-generation logic.
	* MonoDevelop.AspNet.Parser/CompilationUnitVisitor.cs: Don't fold
	  regions by default.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet.Deployment/WebDeployTarget.cs,
	  MonoDevelop.AspNet/AspNetAppProject.cs,
	  MonoDevelop.AspNet/AspNetAppProjectBinding.cs,
	  MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs,
	  MonoDevelop.AspNet/AspNetToolboxNode.cs,
	  MonoDevelop.AspNet/XspParameters.cs: Moved serialization engine to
	  MonoDevelop.Core. Use new syntax for specifying attribute scope.

2008-07-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AspNet.addin.xml: Added javascript mime type (Bug 400896
	  - Syntax Mode for Javascript).

2008-06-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetSpecialState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs,
	  MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Rework stack
	  cloning and character rejection mechanisms in XML/ASP state engine.

2008-06-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs: Track
	  API.

2008-06-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/CodeBehind.cs: Use case-insensitive checks on
	  filenames.

2008-06-19  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track BindingService
	  API. Fix possible skipping of Gdk.Threads.Leave().
	* MonoDevelop.Html/DocTypeCompletionDataProvider.cs,
	  MonoDevelop.Html/HtmlCompletionDataProvider.cs,
	  MonoDevelop.Html/HtmlSchemaService.cs: Minor change to doctype
	  completion data API.

2008-06-13  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: Fix a logic error that caused
	  an exception when creating a new file group with a CodeBehind file
	  but no designer file.
	* Templates/WebApplication.xpt.xml: Move event hander to the user code
	  class, not the designer class. Add protected button member because
	  some languagee bindings can't auto-add it. Fixes "Bug 400301 -
	  [Regression] The default VB Asp.Net template fails to compile".

2008-06-10  Michael Hutchinson <mhutchinson@novell.com> 

	* Templates/WebService-CodeBehind.xft.xml,
	  Templates/WebHandler-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehindNonPartial.xft.xml,
	  Templates/WebForm-CodeBehind.xft.xml,
	  Templates/WebControl-CodeBehindNonPartial.xft.xml,
	  Templates/WebControl-CodeBehind.xft.xml,
	  Templates/MasterPage-CodeBehindNonPartial.xft.xml,
	  Templates/GlobalAsax-CodeBehind.xft.xml,
	  Templates/MasterPage-CodeBehind.xft.xml: Set grouping/dependencies
	  on new files.
	* MonoDevelop.AspNet/AspNetAppProject.cs: Set grouping dependencies on
	  added files, and auto-add parents/children.

2008-06-10  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser/AspNetCompilationUnit.cs: Remove old
	  CodeBehind grouping mechanism.

2008-06-10  Andres G. Aragoneses <aaragoneses@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: Implement feature to allow
	  unmanaged project references in a managed project (bug#397490).

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet.addin.xml: Bump MD version.

2008-06-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs: Fix path of
	  compiled output assembly.

2008-05-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: Fixes for ASP.NET projects
	  with new project model.
	* Templates/WebApplication.xpt.xml: Add some "Hello World"-type code to
	  new ASP.NET C# projects. Fixes "Bug 361348 - C# ASP.Net template
	  doesn't indicate by default that it's working when run".

2008-05-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser/PageInfoVisitor.cs: Actually prevent
	  register directives overwriting page info with blank info.

2008-05-27  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: Fix ASP.NET projects loading
	  with the new project model. There *may* be problems with build
	  paths.
	* MonoDevelop.AspNet.Parser/PageInfoVisitor.cs: Prevent register
	  directives overwriting page info with blank info.

2008-05-22  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetToolboxNode.cs,
	  MonoDevelop.AspNet/WebTypeManager.cs, Makefile.am, AspNetAddIn.mdp,
	  MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs,
	  MonoDevelop.AspNet.Parser/PageDirectiveVisitor.cs: Implemented
	  auto-adding of register directives and project references when a
	  control is added from the toolbox.

2008-05-22  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Html/HtmlSchemaService.cs,
	  MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Remove threaded
	  schema loading. Implement an alternative lazy schema loading
	  system.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet.addin.xml: Merged the extension points for project
	  and solution option panels into a single extension point. A single
	  extension point will now be used for all kinds of items. Extension
	  conditions can be used to make panels visible only for some
	  specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs,
	  MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: Filter out runtime versions
	  that aren't 1.1 or 2.0.

2008-05-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetToolboxLoader.cs: Record the supported
	  runtime versions.
	* MonoDevelop.AspNet/AspNetToolboxNode.cs: Filter the item from the
	  text editor toolbox if the supported runtimes don't match the
	  current project.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: The Deserialize event may not
	  be called in some file formats, so don't use it to control the
	  project loading.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProjectBinding.cs,
	  MonoDevelop.AspNet/AspNetAppProject.cs,
	  MonoDevelop.AspNet/CodeBehind.cs,
	  MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs,
	  MonoDevelop.AspNet/AspNetParserService.cs,
	  MonoDevelop.AspNet/AspNetToolboxNode.cs,
	  MonoDevelop.AspNet/WebTypeManager.cs,
	  MonoDevelop.AspNet/AspNetAppProjectConfiguration.cs,
	  MonoDevelop.AspNet.addin.xml,
	  MonoDevelop.AspNet.Deployment/WebDeployService.cs,
	  MonoDevelop.AspNet.Deployment/WebDeployOptionsPanel.cs,
	  MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs,
	  MonoDevelop.AspNet.Gui/AspNetConfigurationPanel.cs,
	  MonoDevelop.AspNet.Gui/AspNetConfigurationPanelWidget.cs,
	  MonoDevelop.AspNet.Gui/XspOptionsPanel.cs,
	  MonoDevelop.AspNet.Gui/XspOptionsPanelWidget.cs,
	  gtk-gui/gui.stetic, AspNetAddIn.mdp, Makefile.am,
	  MonoDevelop.AspNet.Parser/WebFormReferenceManager.cs,
	  MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs,
	  MonoDevelop.AspNet.Parser/Document.cs: New project model changes.

2008-05-19  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am: Remove conditional build for ASP.NET support; there's no
	  longer any reason to disable it.

2008-05-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetToolboxNode.cs: Change ITextToolboxNode API
	  so that nodes have more control over when they're shown.

2008-05-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetToolboxProvider.cs: Moved from AspNetEdit.
	* MonoDevelop.AspNet/AspNetToolboxLoader.cs: Implement correct loading
	  of items in System.Web 1.1.
	* MonoDevelop.AspNet/AspNetToolboxNode.cs: Improve support for default
	  tag text. Markup for property grid.
	* MonoDevelop.AspNet.addin.xml: Register provider moved from
	  AspNetEdit.
	* Makefile.am, AspNetAddIn.mdp: Updated.

2008-05-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetDisplayBinding.cs: Remove unneeded display
	  binding.
	* MonoDevelop.AspNet/AspNetAppProject.cs: Remove bound WebTypeManager
	  instance.
	* MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs: Add copyright.
	* MonoDevelop.AspNet/AspNetToolboxLoader.cs,
	  MonoDevelop.AspNet/AspNetToolboxNode.cs: Toolbox loader for ASP.NET
	  toolbox items that makes then available to the text editor too.
	* MonoDevelop.AspNet/AspNetParserService.cs: A place for parser-access
	  convenience methods.
	* MonoDevelop.AspNet/WebTypeManager.cs: Make static. Take project as
	  argument rather than being bound to it.
	* MonoDevelop.AspNet.addin.xml: Register new toolbox loader. Update
	  mimetypes. Remove unneeded display binding.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Prevent some NREs.
	* AspNetAddIn.mdp, Makefile.am: Updated.
	* MonoDevelop.AspNet.Parser/Document.cs: If bound project is null, look
	  it up.
	* MonoDevelop.AspNet.Parser/CompilationUnitVisitor.cs: Prevent possible
	  NRE.
	* MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Add
	  functionality for looking up and generating prefixes, for text
	  toolbox nodes.

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Fix positions when
	  selecting nodes.

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Use a data func for
	  the outline treeview. Shorten many overlong lines.

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser.Dom/ParentNode.cs: Make parent nodes
	  enumerable.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Implement document
	  outline support for ASP.NET documents. Still a couple of issues:
	  the parser doesn't provide the document at startup, so it won't
	  show anything until the file is changed. It also may have
	  performance problems on large files.

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs,
	  MonoDevelop.AspNet/CodeBehind.cs,
	  MonoDevelop.AspNet/VerifyCodeBehindBuildStep.cs,
	  MonoDevelop.AspNet.Parser/Document.cs,
	  MonoDevelop.AspNet.Parser/CompilationUnitVisitor.cs,
	  MonoDevelop.AspNet.Parser/AspNetParser.cs,
	  MonoDevelop.AspNet.Parser/PageInfoVisitor.cs,
	  MonoDevelop.AspNet.Parser/PageInfo.cs,
	  MonoDevelop.AspNet.Parser/AspNetCompilationUnit.cs: Replace
	  direscrt use of the ASP.NET docuemnt parser with use of the parser
	  service. Flesh out the parsed compilation units.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Use compilation
	  units from parser service instead of parsing on every keystroke.
	* AspNetAddIn.mdp, Makefile.am: Updated

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.addin.xml,
	  MonoDevelop.AspNet/AspNetCodeBehindProvider.cs: Remove use of
	  removed extension point.

2008-04-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetLanguageBinding.cs,
	  MonoDevelop.Html/HtmlCompletionDataProvider.cs,
	  MonoDevelop.AspNet.addin.xml, Makefile.am, AspNetAddIn.mdp,
	  MonoDevelop.AspNet.Parser/Document.cs,
	  MonoDevelop.AspNet.Parser/CompilationUnitVisitor.cs,
	  MonoDevelop.AspNet.Parser/AspNetExpressionFinder.cs,
	  MonoDevelop.AspNet.Parser/AspNetParser.cs,
	  MonoDevelop.AspNet.Parser/AspNetCompilationUnit.cs: Add support for
	  simple folding and error underlining in ASP.NET pages.
	* MonoDevelop.AspNet.Parser.Dom/RootNode.cs: Add support for simple
	  folding and error underlining in ASP.NET pages. Fix mimetypes.

2008-04-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Add ability to
	  select paths (partially working).

2008-04-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Implement path bar
	  support.
	* AspNetAddIn.mdp, Makefile.am,
	  MonoDevelop.AspNet.Parser/AspNetIndentStack.cs: Remove old indent
	  stack.

2008-04-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetSpecialState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs: Change XML state
	  engine API to allow cloning a single node (as an alternative to the
	  whole stack).

2008-04-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs: Add support for
	  XML processing instructions.

2008-04-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.StateEngine/AspNetSpecialState.cs,
	  MonoDevelop.AspNet.StateEngine/AspNetFreeState.cs: Minimal states
	  for ASP.NET parsing. Still need to handle expressions within
	  attribute values.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Use new state engine
	  for triggering completion. Haven't exorcised full document parse
	  yet -- need it for doctype etc. Also need it (but low-priority,
	  threaded?) for filtering existing attributes. 
	* Makefile.am, AspNetAddIn.mdp: Updated.

2008-04-14  Michael Hutchinson <mhutchinson@novell.com> 

	

2008-04-14  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/WebTypeManager.cs: Remove debug code.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Greatly improve
	  completion triggering behaviour. Most noticeable with tag
	  attributes.

2008-04-11  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Add server-side
	  comments to completion list.
	* MonoDevelop.AspNet.Parser/AspNetIndentStack.cs: Add more states,
	  document all the states' meaning, and handle closing some states.

2008-04-11  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Html/HtmlSchema.cs: Avoid unused variable warning.
	* gtk-gui/gui.stetic: Updated.
	* MonoDevelop.AspNet.Parser/AspNetIndentStack.cs: Woked on indent
	  stack. Not complete yet.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AspNet.addin.xml: Use the new mime type extension to
	  register new file types.

2008-04-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Add completion for
	  colours, enums and booleans. Walk into base members when attempting
	  attribute completion.

2008-04-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/CodeBehind.cs: Add method for getting a
	  non-designer class.
	* MonoDevelop.AspNet/WebTypeManager.cs,
	  MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Add various
	  control lookup methods, including listing of ASP.NET controls.
	* MonoDevelop.Html/HtmlSchema.cs: Minor cleanup.
	* MonoDevelop.Html/HtmlSchemaService.cs: Improve lazy loading. Allow
	  forced preloading in a thread.
	* MonoDevelop.AspNet.addin.xml: Remove HTML 4 Transitional doctype
	  extension, as it's a hardcoded default.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Track API. Implement
	  ASP.NET control and attribute completion. Implement attribute value
	  completion (and handler stubbing) for events. Improve completion
	  triggering accuracy. Add documentation for completion items.
	  Implement close tag completion for parent tags. Lazily load HTML
	  schemas, and use default schema while they load. Force HTML schema
	  service to load in background when docuement opened.
	* AspNetAddIn.mdp, Makefile.am: Updated.
	* MonoDevelop.AspNet.Parser/SuggestedHandlerCompletionData.cs:
	  Completion data type that inserts a method into a class if it's
	  picked.
	* MonoDevelop.AspNet.Parser/AspNetIndentStack.cs: Partial (still
	  unused) implementation of indenter stack.

2008-04-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser.Dom/RootNode.cs: Fix build and close
	  correct tags.

2008-04-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser.Dom/ParentNode.cs,
	  MonoDevelop.AspNet.Parser.Dom/RootNode.cs: Add a mechanism for
	  determining/indicating whether a tag has been closed.
	* MonoDevelop.Html/DocTypeCompletionData.cs: Remove debug message.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Implement closing
	  tag completion for unclosed tags. Reduce spurious completion
	  triggering.

2008-04-01  Michael Hutchinson <mhutchinson@novell.com> 

	* Schemas, Schemas/xhtml1-transitional.xsd, Schemas/W3C-License.html,
	  Schemas/xhtml1-strict.xsd, Schemas/readme.txt,
	  Schemas/xhtml1-frameset.xsd: Add W3C XHTML 1.0 schemas.
	* MonoDevelop.Html/DocTypeCompletionData.cs,
	  MonoDevelop.Html/DocTypeCompletionDataProvider.cs: Implement
	  completion provider for doctype declarations.
	* MonoDevelop.Html/HtmlSchema.cs: Change to an association between an
	  doctype and an IXmlCompletionProvider from the XmlEditor.
	* MonoDevelop.Html/HtmlSchemaService.cs: Load doctypes and associated
	  schemas from extension point. Expose default doctypes, and
	  mechanisms for getting completion providers for any registered
	  doctype, as well as a completion provider for doctypes themselves.
	* MonoDevelop.Html/DocTypeExtensionNode.cs,
	  MonoDevelop.AspNet.addin.xml: Added HTML(/SGML/XML) doctypes as an
	  extension point.
	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Implement HTML code
	  completion for aspx files.
	* Makefile.am, AspNetAddIn.mdp: Updated.

2008-03-10  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Deployment/WebDeployLaunchDialog.cs: Fix namespace
	  of panel.

2008-03-06  Michael Hutchinson  <mhutchinson@novell.com> 

	* Templates/WebConfig-SubDir.xft.xml:
	* Templates/WebConfig-Application.xft.xml: Improve descriptions.

2008-03-04  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet/AspNetAppProject.cs: Improve browser launching code.
	* MonoDevelop.AspNet.Gui/BrowserLauncher.cs: Move browser launcher code and
	  make it into a re-usable IAsyncOperation.
	* AspNetAddIn.mdp, Makefile.am: Updated.
	* MonoDevelop.AspNet.Parser/Regexes.cs: Improve server tag regex.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AspNet.Deployment/WebDeployService.cs,
	  MonoDevelop.AspNet/XspParameters.cs,
	  MonoDevelop.AspNet/AspNetAppProject.cs: Worked on gnome hig compliant
	  alerts.

2008-03-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs: Improve ASP.NET code
	  completion. Now parser updates on-the-fly and suggestions are
	  contextual.
	* gtk-gui/gui.stetic, AspNetAddIn.mdp, Makefile.am: Updated.
	* MonoDevelop.AspNet.Parser.Dom/ParentNode.cs,
	  MonoDevelop.AspNet.Parser.Dom/Node.cs: Minor API name change.
	* MonoDevelop.AspNet.Parser.Dom/RootNode.cs: Catch and collect
	  parser-reported exceptions rather than blowing up.
	* MonoDevelop.Html, MonoDevelop.Html/HtmlSchema.cs,
	  MonoDevelop.Html/HtmlSchemaService.cs: Skeletion of system for
	  schema-controlled HTML completion.
	* MonoDevelop.AspNet.Parser/Document.cs,
	  MonoDevelop.AspNet.Parser/DocumentReferenceManager.cs: Make it easier to
	  build a parser document directly rather than going through the project.
	* MonoDevelop.AspNet.Parser/Regexes.cs: Utility class, unused right now.
	* MonoDevelop.AspNet.Parser/LocatedParserException.cs: Allow flagging error
	  as a warning.

2008-03-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser.Internal/ParseException.cs: Fix ILocation
	  capturing.
	* MonoDevelop.AspNet.Parser.Dom/ParentNode.cs,
	  MonoDevelop.AspNet.Parser.Dom/Visitor.cs,
	  MonoDevelop.AspNet.Parser.Dom/TagNode.cs: Implement QuickExit so that
	  visitor can terminate early.
	* MonoDevelop.AspNet.Parser.Dom/RootNode.cs: Add some support for implicit
	  tag closing like in HTML4, making parser more robust with sloppy input.
	  Implement QuickExit so that visitor can terminate early.
	* MonoDevelop.AspNet.Parser/LocatedParserException.cs: Fix possible NREs.
	  Override ToString().
	* MonoDevelop.AspNet.Parser/PageInfoVisitor.cs: Capture doctype. Use quick
	  exit when desired information found.

2008-02-27  Michael Hutchinson  <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Gui/AspNetEditorExtension.cs, Makefile.am,
	  AspNetAddIn.mdp, MonoDevelop.AspNet.addin.xml: Add the beginnings of a
	  code completion system for ASP.NET.
	* MonoDevelop.AspNet.Parser.Dom/ParentNode.cs,
	  MonoDevelop.AspNet.Parser.Dom/TagNode.cs,
	  MonoDevelop.AspNet.Parser.Dom/Node.cs,
	  MonoDevelop.AspNet.Parser.Dom/RootNode.cs,
	  MonoDevelop.AspNet.Parser/Document.cs: Improve error resilience. Improve
	  debug messages. Finish the node search system.

2008-02-27  Michael Hutchinson  <mhutchinson@novell.com> 

	* MonoDevelop.AspNet.Parser/Internal:
	* MonoDevelop.AspNet.Parser/Tree:
	* MonoDevelop.AspNet.Parser.Internal:
	* MonoDevelop.AspNet.Parser.Dom:
	* AspNetAddIn.mdp:
	* Makefile.am: Finish restructuring directories to reflect namespaces.
	
	* MonoDevelop.AspNet.addin.xml: Clean up whitespace.

2008-02-27  Michael Hutchinson <mhutchinson@novell.com> 

	* Deployment, MonoDevelop.AspNet, Gui, Parser,
	  MonoDevelop.AspNet.Deployment, MonoDevelop.AspNet.Gui, Project,
	  AspNetAddIn.mdp, Makefile.am, MonoDevelop.AspNet.Parser: Restructure
	  directories to reflect namespaces.

2008-02-26  Michael Hutchinson <mhutchinson@novell.com> 

	* Deployment/WebDeployService.cs, Deployment/WebDeployCommands.cs,
	  Deployment/WebDeployLaunchDialog.cs,
	  Deployment/WebDeployOptionsPanel.cs,
	  Deployment/WebDeployOptionsPanelWidget.cs,
	  Gui/AspNetConfigurationPanel.cs, Gui/AspNetConfigurationPanelWidget.cs,
	  Gui/XspOptionsPanel.cs, Gui/XspOptionsPanelWidget.cs,
	  Project/AspNetDisplayBinding.cs, Project/AspNetCommands.cs,
	  Project/ProjectFolderNodeBuilderExtension.cs,
	  Project/AspNetAppProjectBinding.cs,
	  Project/AspNetMSBuildProjectExtension.cs, Project/XspParameters.cs,
	  Project/AspNetAppProject.cs, Project/CodeBehind.cs,
	  Project/VerifyCodeBehindBuildStep.cs,
	  Project/AspNetAppProjectConfiguration.cs,
	  Project/AspNetCodeBehindProvider.cs,
	  Project/AspNetFileDescriptionTemplate.cs, Project/WebTypeManager.cs,
	  gtk-gui/MonoDevelop.AspNet.Gui.XspOptionsPanelWidget.cs,
	  gtk-gui/AspNetAddIn.AspNetConfigurationPanelWidget.cs,
	  gtk-gui/AspNetAddIn.XspOptionsPanelWidget.cs,
	  gtk-gui/MonoDevelop.AspNet.Gui.AspNetConfigurationPanelWidget.cs,
	  gtk-gui/gui.stetic, AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am,
	  Parser/Tree/ParentNode.cs, Parser/Tree/ServerCommentNode.cs,
	  Parser/Tree/Visitor.cs, Parser/Tree/ServerIncludeNode.cs,
	  Parser/Tree/ILocation.cs, Parser/Tree/TagNode.cs,
	  Parser/Tree/DirectiveNode.cs, Parser/Tree/Node.cs,
	  Parser/Tree/ExpressionNode.cs, Parser/Tree/RootNode.cs,
	  Parser/Tree/TextNode.cs, Parser/WebFormReferenceManager.cs,
	  Parser/DebugStringVisitor.cs, Parser/Document.cs,
	  Parser/MemberListVisitor.cs, Parser/LocatedParserException.cs,
	  Parser/Internal/TagType.cs, Parser/Internal/AspTokenizer.cs,
	  Parser/Internal/Directive.cs, Parser/Internal/AspParser.cs,
	  Parser/Internal/TagAttributes.cs, Parser/Internal/Location.cs,
	  Parser/Internal/ParseException.cs, Parser/Internal/StrUtils.cs,
	  Parser/DocumentReferenceManager.cs, Parser/PageInfoVisitor.cs,
	  MonoDevelop.AspNet.addin.xml: Finish renaming AspNetAddIn and its
	  corresponding namespaces to MonoDevelop.Aspnet.

2008-02-26  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetFileDescriptionTemplate.cs: Fix string formatting call.

2008-02-26  Michael Hutchinson <mhutchinson@novell.com> 

	* AspNetAddIn.mdp, Makefile.am, Parser/Tree/ParentNode.cs,
	  Parser/Tree/ServerCommentNode.cs, Parser/Tree/Visitor.cs,
	  Parser/Tree/TagNode.cs, Parser/Tree/DirectiveNode.cs,
	  Parser/Tree/Node.cs, Parser/Tree/ExpressionNode.cs,
	  Parser/Tree/RootNode.cs, Parser/Tree/TextNode.cs,
	  Parser/DebugStringVisitor.cs, Parser/Document.cs,
	  Parser/Internal/Location.cs: Implement dumping a debug view of the parse
	  tree, and binary searching for the parse node at a given location in the
	  file.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* AspNetAddIn.mdp, Makefile.am: Removed some unused glade and gnome-sharp
	  references (only the unused). But I'll continue to remove glade, we need
	  to lower the dependency tree a bit.

2008-02-20  Marek Safar <marek.safar@gmail.com> 

	* Project/VerifyCodeBehindBuildStep.cs: Fixed missing parenthesis.

2008-02-20  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/IAspNetLanguageBinding.cs,
	  Project/AspNetFileDescriptionTemplate.cs,
	  Templates/WebService-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehind.xft.xml,
	  Templates/MasterPage-Empty.xft.xml,
	  Templates/WebControl-CodeBehindNonPartial.xft.xml,
	  Templates/WebService-Empty.xft.xml,
	  Templates/WebHandler-CodeBehind.xft.xml,
	  Templates/WebForm-Empty.xft.xml,
	  Templates/WebControl-CodeBehind.xft.xml,
	  Templates/MasterPage-CodeBehindNonPartial.xft.xml,
	  Templates/WebConfig-Application.xft.xml,
	  Templates/WebHandler-Empty.xft.xml, Templates/GlobalAsax-Empty.xft.xml,
	  Templates/WebControl-Empty.xft.xml,
	  Templates/MasterPage-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehindNonPartial.xft.xml: Add a mechanism for
	  having the ASP.NET language code be different from MD's internal
	  language codes, and use it to make VB.NET pages work OOTB.
	* AspNetAddIn.mdp, Makefile.am: Updated.
	* Parser/Tree/Visitor.cs, Parser/Tree/ExpressionNode.cs,
	  Parser/Tree/RootNode.cs: The way the parser's currently used, it doesn't
	  need to understand expressions, so rather than throwing a
	  NotImplementedException, just insert them into the AST and carry on.
	  Means that CodeBehind generation can be used for a much larger subset of
	  aspx pages.

2008-02-09  Mike Krüger <mkrueger@novell.com> 

	* AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am: Removed source editor
	  dependency.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* AspNetAddIn.addin.xml: Structured main menu.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Update MD version.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Updated add-in category and description.

2008-01-19  Ankit Jain  <jankit@novell.com>

	* AspNetMSBuildProjectExtension.cs: Track changes in MSBuildProjectExtension.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* Templates/WebService-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehind.xft.xml,
	  Templates/MasterPage-Empty.xft.xml,
	  Templates/WebControl-CodeBehindNonPartial.xft.xml,
	  Templates/WebConfig-SubDir.xft.xml, Templates/WebService-Empty.xft.xml,
	  Templates/WebHandler-CodeBehind.xft.xml,
	  Templates/WebForm-Empty.xft.xml,
	  Templates/GlobalAsax-CodeBehind.xft.xml,
	  Templates/WebControl-CodeBehind.xft.xml,
	  Templates/MasterPage-CodeBehindNonPartial.xft.xml,
	  Templates/WebConfig-Application.xft.xml,
	  Templates/WebApplication-Empty.xpt.xml,
	  Templates/WebHandler-Empty.xft.xml, Templates/GlobalAsax-Empty.xft.xml,
	  Templates/WebControl-Empty.xft.xml,
	  Templates/MasterPage-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehindNonPartial.xft.xml,
	  Templates/WebApplication.xpt.xml: Make template categories translatable.

2008-01-03  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/VerifyCodeBehindBuildStep.cs: Only try to add members to
	  CodeBehind if the needed refactoring options are supported.

2008-01-02  Michael Hutchinson <mhutchinson@novell.com> 

	* Templates/WebService-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehind.xft.xml,
	  Templates/WebControl-CodeBehindNonPartial.xft.xml,
	  Templates/WebService-Empty.xft.xml,
	  Templates/WebHandler-CodeBehind.xft.xml,
	  Templates/WebControl-CodeBehind.xft.xml,
	  Templates/MasterPage-CodeBehindNonPartial.xft.xml,
	  Templates/WebHandler-Empty.xft.xml,
	  Templates/MasterPage-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehindNonPartial.xft.xml: Use ${EscapedIdentifier}
	  instead of ${Name} so that files can be created with names like
	  "Default" and work correctly in VB.NET.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.mdp: Updated project files. The order of extended properties
	  won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/AspNetAppProject.cs: Moved PlatformService to MD.Core.Gui. Removed
	  old FileIconService class, which is now implemented in PlatformService.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Deployment/WebDeployTargetEditor.cs: Track api changes.
	* gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget.cs,
	  gtk-gui/gui.stetic: Updated.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/AspNetAppProject.cs: API cleanup.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/AspNetAddIn.XspOptionsPanelWidget.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployTargetEditor.cs,
	  gtk-gui/gui.stetic: Fix alignment of some labels.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Bump add-in versions.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* Project/AspNetAppProject.cs: Use PlatformService to launch a browser 
	  instead of Gnome.Url.Show.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml, AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am:
	  Directory reorganization.

2007-11-20  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Don't try to compile if no files are set to
	  compile, as compilers/bindings (e.g. CSharpBinding) will error out if no
	  files are set to compile. 

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* Deployment/WebDeployService.cs, Project/AspNetAppProject.cs,
	  Parser/Document.cs: Track LoggingService API changes.

2007-11-02  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/VerifyCodeBehindBuildStep.cs: Use RootCombine instead of
	  CurrentOpenCombine when possible.

2007-10-30  Michael Hutchinson <mhutchinson@novell.com> 

	* Deployment/WebDeployService.cs, Deployment/WebDeployCommands.cs,
	  Deployment/WebDeployLaunchDialog.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs,
	  gtk-gui/gui.stetic: Enable web deploy dialog even if no targets exist,
	  but add a button for editng/adding targets. Fixes "Bug 337804 - Web
	  Deployment should be easier to configure".

2007-10-30  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProjectConfiguration.cs: Fix "Bug 337819 - Directory
	  change warning shown when creating a new Web Project.". Re-opens "Bug
	  333419 - Output dir in ASP.NET project don't work", though it's now
	  possible to work around the latter by setting an XML attribute in the
	  project file.

2007-10-30  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Use the html file icon for some known asp.net
	  files.

2007-10-29  Michael Hutchinson <mhutchinson@novell.com>

	* AspNetAddIn.addin.xml: Use WebHandler-CodeBehind template.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Bump MD version.

2007-10-26  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/VerifyCodeBehindBuildStep.cs: Fix string formatting index in a
	  gettext call.

2007-10-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: No need to handle monitor's cancel request,
	  as AggregatedOperationMonitor does this for us.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* Templates/WebApplication-Empty.xpt.xml, Templates/WebApplication.xpt.xml:
	  Updated project icons.

2007-10-17  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/WebTypeManager.cs: Don't do web.config control lookups for 1.1
	  projects.
	* Parser/WebFormReferenceManager.cs: Track API change.
	* Parser/MemberListVisitor.cs, Parser/DocumentReferenceManager.cs: Handle
	  the "type" property of "input" HTML controls.

2007-10-16  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs, Project/VerifyCodeBehindBuildStep.cs,
	  Parser/MemberListVisitor.cs, Parser/LocatedParserException.cs,
	  Parser/Internal/ParseException.cs: Rework error handling to include
	  location info for document parse errors.
	* Project/WebTypeManager.cs, Parser/WebFormReferenceManager.cs,
	  Parser/DocumentReferenceManager.cs: Rework type lookups for registered
	  controls. Now handles custom controls and user controls, whether
	  registered in aspx file or web.config.
	* AspNetAddIn.mdp, Makefile.am: Updated.
	* Parser/Document.cs: Collect parse errors instead of dying in constructor.

2007-10-15  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Copy refs to output path during compile. Not
	  sure it's necessary, as the Run/Deploy commands do the copy too, and
	  people shouldn't be running their site without executing one of these
	  commands first. However, we have had a few bug reports about this
	  behaviour, so it's better to do what people expect.
	* Project/VerifyCodeBehindBuildStep.cs: Report ASP.NET parser and Codebehind
	  member generation errors as compile warnings, with file/line number
	  info. Use Gettext for i18n of warnings. 
	* AspNetAddIn.mdp: Updated.

2007-10-12  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProjectConfiguration.cs: Allowing changing the output
	  directory to a directory other than "bin", but only after warning the
	  user that this may prevent the projct from running/deploying correctly.
	  Enables some unusual use cases, and doesn't affect other people.

2007-10-12  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/VerifyCodeBehindBuildStep.cs: Change how partial classes are
	  handled during code generation to work around the fact that they don't
	  have all of the information that the 'full' class does.

2007-10-08  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Use xsp2 if using 2.0 runtime (regression 
	  introduced in previous commit).

2007-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Launch xsp directly rather than via SH. Made
	  possible by changes to IExecutionHandler/ProcessService allowing setting
	  environment variables on new console processes. Fixes xsp shutdown (xsp
	  instances were not closes and were blocking ports). Hopefully fixes
	  #330327.
	
	  Also, don't force copy output refs.

2007-10-02  Michael Hutchinson <mhutchinson@novell.com> 

	* Deployment/WebDeployService.cs: Build before deploying.
	* Deployment/WebDeployTargetEditor.cs: Catch errors if file copy handler
	  can't be found.

2007-10-02  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/VerifyCodeBehindBuildStep.cs: Make errors in Codebehind generation
	  into warnings rather than preventing build.

2007-09-28  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Check for xsp before running it.

2007-09-28  Michael Hutchinson <mhutchinson@novell.com> 

	* Deployment/WebTargetEditor.cs, Deployment/WebDeployService.cs,
	  Deployment/WebDeployCommands.cs, Deployment/WebDeployResolver.cs,
	  Deployment/WebDeployTargetCollection.cs, Deployment/WebDeployTarget.cs,
	  Deployment/WebDeployWindow.cs, Deployment/WebDeployLaunchDialog.cs,
	  Deployment/WebDeployOptionsPanel.cs,
	  Deployment/WebDeployTargetEditor.cs,
	  Deployment/WebDeployOptionsPanelWidget.cs, AspNetAddIn.addin.xml,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployLaunchDialog.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployTargetEditor.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget.cs,
	  gtk-gui/MonoDevelop.AspNet.Deployment.WebTargetEditor.cs: Add new web
	  deployment UI and services.
	* Project/AspNetAppProject.cs: Add WebDeployTargets property. Use new web
	  targets when returning DeployFiles.  Fix NRE when language binding not
	  recognised.
	* gtk-gui/generated.cs, gtk-gui/AspNetAddIn.XspOptionsPanelWidget.cs,
	  gtk-gui/objects.xml, gtk-gui/gui.stetic, AspNetAddIn.mdp, Makefile.am,
	  Gui/XspOptionsPanel.cs: Updated.

2007-09-27  Ankit Jain  <jankit@novell.com>

	Add support for VS2005 WebApplication projects.
	* Project/AspNetMSBuildProjectExtension.cs: New.
	* AspNetAddIn.addin.xml: Add Extension.
	* AspNetAddIn.mdp: Update.
	* Makefile.am: Update.

2007-09-21  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Make write-safe by using TextFile API rather
	  than direct save.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Bump MD version.

2007-09-20  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Added reference change handlers to update the
	  referenced assembly list in web.config.

2007-09-12  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/XspOptionsPanelWidget.cs,
	  gtk-gui/AspNetAddIn.XspOptionsPanelWidget.cs, gtk-gui/gui.stetic: Fix
	  bugs from stetic conversion: panel status update handler and permissible
	  port range setting.
	* Project/AspNetAppProject.cs: Restructure execution code to handle errors
	  better and make it possible to set MONO_OPTIONS="--debug" when calling
	  xsp.

2007-09-11  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/XspOptionsPanel.cs, Gui/XspOptionsPanelWidget.cs, AspNetAddIn.glade,
	  gtk-gui/generated.cs,
	  gtk-gui/AspNetAddIn.AspNetConfigurationPanelWidget.cs,
	  gtk-gui/AspNetAddIn.XspOptionsPanelWidget.cs, gtk-gui/gui.stetic,
	  AspNetAddIn.mdp, Makefile.am: Migrate XspOptionsPanel from glade to
	  stetic.
	* Gui/AspNetConfigurationPanelWidget.cs,
	  Project/AspNetFileDescriptionTemplate.cs: Remove unused fields.

2007-09-11  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/ProjectFolderNodeBuilderExtension.cs, Project/AspNetCommands.cs,
	  AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am: Add a command/menu
	  for creating ASP.NET special directories.
	* Project/AspNetAppProject.cs: Add more WebSubtypes. Use GettextCatalog for
	  MessageService call. Add method for discovering non-existent special
	  ASP.NET directories.
	* Project/VerifyCodeBehindBuildStep.cs: Don't prevent compilation if
	  documents can't be parsed.

2007-09-10  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Fire SetDefaultBuildAction only when adding
	  new files, not when deserialising the project. Add a "Code" WebSubtype.
	* AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am,
	  Templates/WebConfig-SubDir.xft.xml,
	  Templates/WebConfig-Application.xft.xml: Add Web.config templates.
	* Templates/WebForm-CodeBehind.xft.xml,
	  Templates/GlobalAsax-CodeBehind.xft.xml,
	  Templates/WebControl-CodeBehind.xft.xml,
	  Templates/GlobalAsax-Empty.xft.xml,
	  Templates/MasterPage-CodeBehind.xft.xml: More tweaks to templates.
	* Templates/WebApplication.xpt.xml: Add web.config to default project
	  template.

2007-09-10  Michael Hutchinson <mhutchinson@novell.com> 

	* AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am: Updated.
	* Templates/WebService-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehind.xft.xml,
	  Templates/MasterPage-Empty.xft.xml, Templates/WebService-Empty.xft.xml,
	  Templates/WebForm-Empty.xft.xml,
	  Templates/WebHandler-CodeBehind.xft.xml,
	  Templates/WebControl-CodeBehind.xft.xml,
	  Templates/WebHandler-Empty.xft.xml,
	  Templates/MasterPage-CodeBehind.xft.xml,
	  Templates/WebControl-Empty.xft.xml, Templates/WebApplication.xpt.xml:
	  Remove deprecated FileOptions node.
	* Templates/WebControl-CodeBehindNonPartial.xft.xml,
	  Templates/MasterPage-CodeBehindNonPartial.xft.xml,
	  Templates/WebForm-CodeBehindNonPartial.xft.xml: Add non-partial-type
	  templates.
	* Templates/GlobalAsax-CodeBehind.xft.xml,
	  Templates/GlobalAsax-Empty.xft.xml: Add Global.asax templates.
	* Templates/WebApplication-Empty.xpt.xml: Add empty project template.

2007-09-06  Michael Hutchinson <mhutchinson@novell.com> 

	* Templates/WebService-CodeBehind.xft.xml,
	  Templates/WebHandler-Empty.xft.xml, Templates/WebService-Empty.xft.xml,
	  Templates/WebControl-Empty.xft.xml, Templates/WebForm-Empty.xft.xml,
	  Templates/WebHandler-CodeBehind.xft.xml: Limit to be shown for ASP.NET
	  projects.
	* Templates/WebControl-CodeBehind.xft.xml,
	  Templates/WebForm-CodeBehind.xft.xml: Limit to be shown for ASP.NET
	  projects. Require partial class support.
	* Templates/MasterPage-Empty.xft.xml: Limit to be shown for ASP.NET
	  projects. Require 2.0 runtime.
	* Templates/MasterPage-CodeBehind.xft.xml: Limit to be shown for ASP.NET
	  projects. Require 2.0 runtime. Require partial class support.

2007-09-05  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/AspNetAppProject.cs: Set correct BuildAction for added ASP.NET
	  files. Convert cachedDocuments to generic collection.

2007-09-05  Michael Hutchinson <mhutchinson@novell.com> 

	* AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am,
	  Templates/CodeBehindWebControl.xft.xml,
	  Templates/CodeBehindWebForm.xft.xml,
	  Templates/CodeBehindWebHandler.xft.xml,
	  Templates/CodeBehindWebService.xft.xml,
	  Templates/EmptyWebControl.xft.xml, Templates/EmptyWebForm.xft.xml,
	  Templates/EmptyWebHandler.xft.xml, Templates/EmptyWebService.xft.xml,
	  Templates/MasterPage-CodeBehind.xft.xml,
	  Templates/MasterPage-Empty.xft.xml,
	  Templates/MasterPageWithCodeBehind.xft.xml,
	  Templates/MasterPageWithNoCodeBehind.xft.xml,
	  Templates/WebControl-CodeBehind.xft.xml,
	  Templates/WebControl-Empty.xft.xml,
	  Templates/WebForm-CodeBehind.xft.xml, Templates/WebForm-Empty.xft.xml,
	  Templates/WebHandler-CodeBehind.xft.xml,
	  Templates/WebHandler-Empty.xft.xml,
	  Templates/WebService-CodeBehind.xft.xml,
	  Templates/WebService-Empty.xft.xml, Templates/WebApplication.xpt.xml:
	  Rename template files.

2007-09-05  Michael Hutchinson <mhutchinson@novell.com> 

	* Templates/CodeBehindWebControl.xft.xml,
	  Templates/CodeBehindWebForm.xft.xml,
	  Templates/MasterPageWithCodeBehind.xft.xml: Use SuppressAutoOpen to stop
	  designer CodeBehind files from opening automatically when created.

2007-09-05  Michael Hutchinson <mhutchinson@novell.com> 

	* Templates/WebApplication.xpt.xml: Use new FileReferenceTemplate to
	  reference CodeBehindWebForm instead of duplicating whole template.

2007-09-05  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/XspParameters.cs: Fix some compile warnings.
	* Templates/CodeBehindWebHandler.xft.xml, Templates/EmptyWebForm.xft.xml,
	  Templates/CodeBehindWebControl.xft.xml,
	  Templates/CodeBehindWebService.xft.xml,
	  Templates/CodeBehindWebForm.xft.xml,
	  Templates/MasterPageWithNoCodeBehind.xft.xml,
	  Templates/MasterPageWithCodeBehind.xft.xml,
	  Templates/EmptyWebHandler.xft.xml, Templates/WebApplication.xpt.xml,
	  Templates/EmptyWebControl.xft.xml, Templates/EmptyWebService.xft.xml:
	  Use partial classes where possible. Default to deploying ASP.NET files
	  rather than building them. Remove "Hello world" code. Default to 2.0
	  runtime.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* Gui/AspNetConfigurationPanel.cs, Gui/AspNetConfigurationPanelWidget.cs,
	  Gui/XspOptionsPanel.cs: Changes due to new property infrastructure.

2007-08-31  Ankit Jain  <jankit@novell.com>

	* Templates/WebApplication.xpt.xml: Set BuildAction for aspx file to
	FileCopy.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am: Reorganized the
	  extension point hierarchy. Embedded all add-in manifests as resources.

2007-08-01  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetAppProject.cs: Fix the IDeployable implementation. The target
	  directory names should be handled by an ASP.NET-specific
	  IDirectoryResolver, not the GetDeployFiles method.

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.mdp: Updated.

2007-06-19  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* Project/CodeBehind.cs: Oops, remove some development code in which 
	  caused sharing violations.

2007-06-19  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/AspNetAddIn.AspNetConfigurationPanelWidget.cs,
	  AspNetAddIn.mdp: Changed some old 2.4 dependencies to 2.8. Use
	  GettextCatalog for localizable strings.

2007-06-18  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* Gui/AspNetConfigurationPanel.cs,
	  Gui/AspNetConfigurationPanelWidget.cs, AspNetAddIn.glade,
	  gtk-gui/generated.cs,
	  gtk-gui/AspNetAddIn.AspNetConfigurationPanelWidget.cs,
	  gtk-gui/objects.xml, gtk-gui/gui.stetic: More Stetic! Convert
	  configuration panel widget from Glade to Stetic.
	* Project/CodeBehind.cs: Some shared code for handling CodeBehind.
	* Project/VerifyCodeBehindBuildStep.cs: Use partial classes if they're
	  present.
	* Project/AspNetAppProjectConfiguration.cs: Silence the error when user
	  picks non-library target type. Rename AutoGenerateCodeBehindMembers
	  to GenerateNonPartialCodeBehindMembers.
	* Project/AspNetCodeBehindProvider.cs: Use code from Codebehind class.
	* AspNetAddIn.mdp, Makefile.am: Added files.

2007-06-08 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Parser/Document.cs: Report parse errors on console, not in dialogue.
	
	* Parser/PageInfoVisitor.cs: Add CodeFile property.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Fix typo.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.mdp: Copy the .addins.xml file to the output dir.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.mdp: Don't copy project references.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.mdp, Makefile.am: Reference shared assemblies from the
	  correct location.

2007-05-08  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Fix add-in dependency.

2007-05-07 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Project/VerifyCodeBehindBuildStep.cs: Make updating files thread-safe.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml, AspNetAddIn.mdp, Makefile.am: Migration to
	  Mono.Addins.

2007-04-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/AspNetAppProject.cs: Track api changes.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/AspNetAppProject.cs: Track api changes.
	* AspNetAddIn.addin.xml, Makefile.am: Added dependency to
	  MonoDevelop.Deployment.
	* AspNetAddIn.mdp: Don't copy referenced assemblies.

2007-02-25 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Project/AspNetAppProject.cs:
	  Remove DoPreBuild override as it's a deprecated build extension point.
	  Now set AspNetAppProjectConfiguration.SourceDirectory via a FileName
	  override, which is more robust.
	  Implement GetDeployFiles to handle ASP.NET bin folder.

2007-02-21  Ankit Jain  <jankit@novell.com>

	* Project/VerifyCodeBehindBuildStep.cs: Warn the user if
	AutoGenerateCodeBehindMembers is false.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* AspNetAddIn.mdp, Makefile.am: Synchronized the MD project and the
	  Makefile

2007-02-07  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/VerifyCodeBehindBuildStep.cs, AspNetAddIn.addin.xml,
	  AspNetAddIn.mdp: Replace the IBuildStep implementation by a
	  ProjectServiceExtension subclass. IBuildStep is not available
	  anymore.

2007-02-05 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Templates/MasterPageWithCodeBehind.xft.xml:
	* Project/AspNetDisplayBinding.cs:
	* Parser/PageInfoVisitor.cs: Fix errors in last commit that came from
	  my misunderstanding of how the CodeBehind model doesn't apply to 
	  MasterPages. The CodeBehindService will need support for the 
	  CodeBeside model at some point. 

2007-02-04 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Parser/Tree/DirectiveNode.cs: Workaround for parser bug, so that 
	  Codebehind for MasterPages can be found.

	* Parser/Internal/*: Update from mcs class tree.
	
	* Parser/PageInfoVisitor.cs:
	* Project/AspNetDisplayBinding.cs: Handle MasterPages.

2007-02-04 John Anderson <sontek@gmail.com>

	* Templates/MasterPageWithNoCodeBehind.xft.xml:
	* Templates/MasterPageWithCodeBehind.xft.xml:
	* Makefile.am:
	* AspNetAddIn.mdp:
	* AspNetAddIn.addin.xml: Added templates for MasterPages.

2007-02-01  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Project/AspNetAppProject.cs: More informative error messages.
	
	* Project/AspNetCodeBehindProvider.cs: Track API changes.

2007-01-18  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Templates/CodeBehindWebControl.xft.xml: Use the proper filename 
	rather than "Default".

2007-01-18  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* AspNetAddIn/Parser/Internal/TagType.cs:
	* AspNetAddIn/Parser/Internal/AspParser.cs:
	* AspNetAddIn/Parser/Internal/ParseException.cs:
	Make classes and members public so that AspNetAddIn's parser can 
	consume them. Can revert this when AspNetEdit uses the whole parser
	rather that just the tokeniser as it does ATM.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* AspNetAddIn.mdp: Updated.

2006-09-16  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Gui/AspNetConfigurationPanel.cs:
	* AspNetAddIn.glade:
	* Project/AspNetAppProjectConfiguration.cs:
	* AspNetAddIn.addin.xml:
	* Project/VerifyCodeBehindBuildStep.cs:
	  Added a new option that can be used to disable compilation-time 
	  CodeBehind verification for different configurations.

	* Makefile.am:
	* AspNetAddIn.mdp: Add Gui/AspNetConfigurationPanel.cs to the build.

2006-09-13  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Project/AspNetAppProject.cs: Fix parsed document caching. Check if file 
	  can be parsed before parsing, instead of at cache lookup. 

2006-08-21  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Project/AspNetDisplayBinding.cs:
	* Project/AspNetAppProject.cs:
	* Parser/PageInfoVisitor.cs: Add support for Global.asax CodeBehind.
	
	* Project/AspNetCodeBehindProvider.cs:
	* Project/AspNetAppProject.cs: Don't try to create Documents for files 
	  that we can't parse.
	
	* Project/AspNetAppProject.cs: Improve web server launch checking code.

2006-08-21  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Project/VerifyCodeBehindBuildStep.cs: Make sure modified files are 
	  saved before compilation.
	  Update the parser database to make sure our parse information is 
	  valid.
	  
	* Project/AspNetAppProject.cs: Add an operation cancel handler.
	
	* Parser/Document.cs: trap file loading exceptions.

2006-08-05  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Project/VerifyCodeBehindBuildStep.cs:
	  Track changes in BindingService.
	* AspNetAddIn.mdp: Remove nonexistent file.

2006-07-25  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* Project/AspNetAppProject.cs:
	  Become aware of Project.DoPreBuild; let it create the correct output 
	  directory for us.
	* Project/VerifyCodeBehindBuildStep.cs:
	  Refactored some functionality into Monodevelop.DesignerSupport.
	  BindingService.
	  
	
2006-07-21  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* Project/AspNetAppProject.cs:
	* Project/VerifyCodeBehindBuildStep.cs:
	  Move Codebehind verification into a separate build step.
	
	* Project/CodeBehindClassBuilder.cs:
	* Project/AspNetCodeBehindProvider.cs:
	  Deleted. Functionality moved to MonoDevelop.DesignerSupport.
	* Project/AspNetAppProject.cs:
	* AspNetAddIn.addin.xml:
	* Project/CodeBehindProjectFileExtension.cs:
	  Implement CodeBehindProvider architecture.
	
	* Parser/PageInfoVisitor.cs:
	  Find CodeBehind info for more filetypes.
	
	* Templates/CodeBehindWebHandler.xft.xml:
	* Templates/CodeBehindWebControl.xft.xml:
	* Templates/CodeBehindWebForm.xft.xml:
	* Templates/WebApplication.xpt.xml:
	  Remove unnecessary underscores in CodeBehind class names.
	
	* Templates/CodeBehindWebService.xft.xml:
	* Templates/EmptyWebService.xft.xml:
	  New templates.
	  

	* Project/AspNetDisplayBinding.cs:
	  New file. For now, makes it possible to open ASP.NET mime types.
	  
	* AspNetAddIn.addin.xml:
	* Makefile.am:
	* AspNetAddIn.mdp:
	  Include new files, remove old ones.
	
2006-07-04  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* Templates/CodeBehindWebControl.xft.xml:
	* Templates/CodeBehindWebForm.xft.xml:

	* Project/AspNetAppProject.cs:
	* Project/CodeBehindProjectFileExtension.cs:
	Don't always throw exceptions when CodeBehind not found.
	
	* AspNetAddIn.addin.xml:
	* Project/CodeBehindProjectFileExtension.cs:
	Change "HideCodeBehind" option to "ShowCodeBehindFiles"
	
	* Project/AspNetFileDescriptionTemplate.cs:
	Move translation functionality to child CodeTranslationFileDescriptionTemplate.
	Move name substitution functionality to SingleFileDescriptionTemplate.
	
	* Templates/CodeBehindWebHandler.xft.xml:
	* Templates/EmptyWebForm.xft.xml:
	* Templates/CodeBehindWebControl.xft.xml:
	* Templates/CodeBehindWebForm.xft.xml:
	* Templates/EmptyWebHandler.xft.xml:
	* Templates/WebApplication.xpt.xml:
	* Templates/EmptyWebControl.xft.xml:
	Track AspNetFileDescriptionTemplate changes.
